"
 COPYRIGHT (c) 2009 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

SharedPool subclass:#Win32Constants
	instanceVariableNames:''
	classVariableNames:'FILE_ATTRIBUTE_HIDDEN FILE_ATTRIBUTE_NORMAL
		FILE_ATTRIBUTE_TEMPORARY FILE_ATTRIBUTE_DIRECTORY
		FILE_ATTRIBUTE_READONLY LOGPIXELSX LOGPIXELSY'
	poolDictionaries:''
	category:'OS-Windows'
!

!Win32Constants class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2009 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    contains (will, eventually) win32 OS constants.
"
! !

!Win32Constants class methodsFor:'initialization'!

initialize
    "Invoked at system start or when the class is dynamically loaded."

    FILE_ATTRIBUTE_READONLY := 1.
    FILE_ATTRIBUTE_HIDDEN := 2.
    FILE_ATTRIBUTE_DIRECTORY := 16.
    FILE_ATTRIBUTE_NORMAL := 128.
    FILE_ATTRIBUTE_TEMPORARY := 256.

    LOGPIXELSX := 88.
    LOGPIXELSY := 90.

    "Modified: / 24-12-2010 / 11:17:57 / cg"
! !

!Win32Constants class methodsFor:'documentation'!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic/Win32Constants.st,v 1.4 2010-12-24 10:22:26 cg Exp $'
! !

Win32Constants initialize!
